at.chipkarte.client.vdas.soap

## Class Anspruchsdaten

- Object
- - at.chipkarte.client.vdas.soap.Anspruchsdaten

-     public class Anspruchsdaten
      extends Object

  Enthält die Daten für einen eigenen Anspruch beziehungsweise für einen abgeleiteten Anspruch.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anspruchsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SvPersonV2` | `getAbgeleiteteDaten()` Versichertendaten des Versicherten, von dem sich der vorliegende Anspruch ableitet.
    `String` | `getAnspruchsart()` Anspruchsart.
    `String` | `getSvtCode()` Für den (eigenen oder abgeleiteten) Anspruch zuständiger Krankenversicherungsträger.
    `String` | `getVersichertenartCode()` Versichertenart-Code des Patienten.
    `String` | `getVersichertenKategorie()` Versichertenkategorie.
    `Boolean` | `isKostenanteilbefreit()` Kennzeichen, ob der Patient vom Kostenanteil befreit ist.
    `Boolean` | `isRezeptgebbefreit()` Kennzeichen, ob der Patient von der Rezeptgebühr befreit ist.
    `void` | `setAbgeleiteteDaten(SvPersonV2 abgeleiteteDaten)`
    `void` | `setAnspruchsart(String anspruchsart)`
    `void` | `setKostenanteilbefreit(Boolean kostenanteilbefreit)`
    `void` | `setRezeptgebbefreit(Boolean rezeptgebbefreit)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setVersichertenartCode(String versichertenartCode)`
    `void` | `setVersichertenKategorie(String versichertenKategorie)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Anspruchsdaten

          public Anspruchsdaten()

  - ### Method Detail

    - #### getSvtCode

          public String getSvtCode()

      Für den (eigenen oder abgeleiteten) Anspruch zuständiger Krankenversicherungsträger.
      Mögliche Werte siehe Funktion `getSVTs`
      Format: 2-stellig
      Returns:
        KVT-Code

    - #### getAbgeleiteteDaten

          public SvPersonV2 getAbgeleiteteDaten()

      Versichertendaten des Versicherten, von dem sich der vorliegende Anspruch ableitet.
      Null, wenn es sich um keinen abgeleiteten Anspruch handelt.
      Die Felder Geschlecht und Geburtsdatum vom Versicherten werden nicht versorgt.
      Returns:
        abgeleitete Daten

    - #### getAnspruchsart

          public String getAnspruchsart()

      Anspruchsart.
      Mögliche Werte siehe `Anspruchsart`
      Format: maximal 2-stellig
      Returns:
        Anspruchsart-Code

    - #### getVersichertenartCode

          public String getVersichertenartCode()

      Versichertenart-Code des Patienten.
      Mögliche Werte siehe `Versichertenart`
      Format: 1-stellig
      Returns:
        Versichertenart-Code

    - #### getVersichertenKategorie

          public String getVersichertenKategorie()

      Versichertenkategorie.
      Mögliche Werte siehe `Versichertenkategorie`
      Format: 2-stellig
      Returns:
        Versichertenkategorie

    - #### isKostenanteilbefreit

          public Boolean isKostenanteilbefreit()

      Kennzeichen, ob der Patient vom Kostenanteil befreit ist.
      Returns:
        true = Patient ist vom Kostenanteil befreit, false = Patient ist nicht vom Kostenanteil befreit

    - #### isRezeptgebbefreit

          public Boolean isRezeptgebbefreit()

      Kennzeichen, ob der Patient von der Rezeptgebühr befreit ist.
      Returns:
        true = Patient ist von der Rezeptgebühr befreit, false = Patient ist nicht von der Rezeptgebühr befreit

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setAbgeleiteteDaten

          public void setAbgeleiteteDaten(SvPersonV2 abgeleiteteDaten)

    - #### setAnspruchsart

          public void setAnspruchsart(String anspruchsart)

    - #### setVersichertenartCode

          public void setVersichertenartCode(String versichertenartCode)

    - #### setVersichertenKategorie

          public void setVersichertenKategorie(String versichertenKategorie)

    - #### setKostenanteilbefreit

          public void setKostenanteilbefreit(Boolean kostenanteilbefreit)

    - #### setRezeptgebbefreit

          public void setRezeptgebbefreit(Boolean rezeptgebbefreit)